> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notifications



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/notifications
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/notifications:
    get:
      tags:
        - Notifications
      summary: List Notifications
      operationId: NotificationsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: filter
          required: false
          in: query
          schema:
            default: all
            type: string
            enum:
              - all
              - unread
              - mentions
        - name: source
          required: false
          in: query
          schema:
            enum:
              - projects
              - collections
              - submittals
              - approvals
              - client-reviews
              - ready-to-order
              - respec
              - catalog
              - standards
              - other
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationListResponseDto'
components:
  schemas:
    NotificationListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/NotificationResponseDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    NotificationResponseDto:
      type: object
      properties:
        id:
          type: string
        type:
          enum:
            - comment_mentioned
            - comment_replied
            - project_assigned
            - family_released
            - collaboration_decided
            - seat_requested
            - seat_assigned
            - invitation_accepted
          type: string
        sourceType:
          enum:
            - projects
            - collections
            - submittals
            - approvals
            - client-reviews
            - ready-to-order
            - respec
            - catalog
            - standards
            - other
          type: string
        sourceId:
          type: string
        target:
          type: object
          properties:
            type:
              type: string
            id:
              type: string
          required:
            - type
            - id
        author:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/NotificationAuthorResponseDto'
        payload:
          type: object
          additionalProperties: true
        reason:
          enum:
            - mentioned
            - assigned
            - affected
          type: string
        readAt:
          type: string
          nullable: true
        occurredAt:
          type: string
      required:
        - id
        - type
        - sourceType
        - sourceId
        - target
        - author
        - payload
        - reason
        - readAt
        - occurredAt
    NotificationAuthorResponseDto:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      required:
        - id
        - firstName
        - lastName

````